- hosts: server1
  #remote_user: debian
  become: true
  become_method: sudo

  tasks:

  - name: Update & upgrade system
    apt:
      update_cache: yes
      upgrade: dist

  - name: Install required packages
    apt:
      name:
        - cron
        - python3-pip
        - python3-virtualenv
        - python3-setuptools
        - htop
        - man
        - net-tools
        - bash-completion
        - locales
        - python-is-python3
        - wget
        - zip
        - bzip2
        - tree
        - vim
        - vim-common
        - screen
        - curl
        - unzip
      state: present

  - name: Remove useless stuff
    apt:
      name:
        - bind9
        - telnet
        - ftp
      state: absent

